using Supabase.Postgrest.Attributes;
using Supabase.Postgrest.Models;

namespace TestingWabi.Models
{
    [Table("user")]
    public class User : BaseModel
    {
        [PrimaryKey("id")]
        public string Id { get; set; }

        [Column("nickname")]
        public string Nickname { get; set; }

        [Column("image")]
        public string Image { get; set; }

        [Column("basket_code")]
        public string BasketCode { get; set; }

        [Column("theme")]
        public int Theme { get; set; }
    }
}
